# Uses of Interface
org.apache.lucene.util.hnsw.UpdateableRandomVectorScorer

Packages that use UpdateableRandomVectorScorer
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of UpdateableRandomVectorScorer in org.apache.lucene.codecs.hnsw

  Methods in org.apache.lucene.codecs.hnsw that return UpdateableRandomVectorScorer
  Modifier and Type
  Method
  Description
  `UpdateableRandomVectorScorer`
  ScalarQuantizedVectorScorer.ScalarQuantizedRandomVectorScorerSupplier.`scorer()`

- ## Uses of UpdateableRandomVectorScorer in org.apache.lucene.util.hnsw

  Classes in org.apache.lucene.util.hnsw that implement UpdateableRandomVectorScorer
  Modifier and Type
  Class
  Description
  `static class`
  `UpdateableRandomVectorScorer.AbstractUpdateableRandomVectorScorer`
  Creates a default scorer for random access vectors.
  Methods in org.apache.lucene.util.hnsw that return UpdateableRandomVectorScorer
  Modifier and Type
  Method
  Description
  `UpdateableRandomVectorScorer`
  RandomVectorScorerSupplier.`scorer()`
  This creates a `UpdateableRandomVectorScorer` for scoring random nodes in batches against an ordinal.
  Methods in org.apache.lucene.util.hnsw with parameters of type UpdateableRandomVectorScorer
  Modifier and Type
  Method
  Description
  `void`
  NeighborArray.`addAndEnsureDiversity(int newNode, float newScore, int nodeId, UpdateableRandomVectorScorer scorer)`
  In addition to `NeighborArray.addOutOfOrder(int, float)`, this function will also remove the least-diverse node if the node array is full after insertion
  `void`
  HnswGraphBuilder.`addGraphNode(int node, UpdateableRandomVectorScorer scorer)`
  `void`
  InitializedHnswGraphBuilder.`addGraphNode(int node, UpdateableRandomVectorScorer scorer)`